Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.core
[Java] Class ArtifactInfo

    java.lang.Object
      griffon.core.ArtifactInfo

    public class ArtifactInfo
    extends Object

Describes an artifact that can be handled by `ArtifactManager`.

This class is used for communication between `ArtifactManager` and `ArtifactHandler`s, and as such is considered to be of internal use.

Authors:
  Andres Almiray

Field Summary
`private Class` | `clazz`
`private String` | `type`

Constructor Summary
`ArtifactInfo(Class clazz, String type)`

Method Summary
`boolean` | `equals(Object obj)`
`Class` | `getClazz()`
`String` | `getType()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### clazz

    private final Class clazz

### type

    private final String type

Constructor Detail

### ArtifactInfo

    public ArtifactInfo(Class clazz, String type)

Method Detail

### equals

    public boolean equals(Object obj)

### getClazz

    public Class getClazz()

### getType

    public String getType()

### hashCode

    public int hashCode()

### toString

    public String toString()

Groovy Documentation